@use "../mixins";
@use "../theme";

$inputHeight: 48px;
$checkboxScale: 1.5;

.field-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: theme.$spacing05;

    input[type=checkbox] {
        transform: scale($checkboxScale);
        padding: 10px;
    }

    label {
        font-size: theme.$fontSizeMedium;
        margin-bottom: theme.$spacing02;
    }

    p {
        color: theme.$colorPaletteGray600;
        font-size: theme.$fontSizeSmall;
        margin-bottom: theme.$spacing02;
    }

    &__type {
        display: flex;
        align-items: center;

        input {
            border-right: 0 !important;
        }

        &__sign {
            background-color: theme.$colorPaletteGray300;
            width: 3rem;
            height: 48px;
            display: flex;
            padding: theme.$spacing05;
            justify-content: center;
            align-items: center;
            border-right: 1px solid theme.$colorPaletteGray500;
            border-top: 1px solid theme.$colorPaletteGray500;
            border-bottom: 1px solid theme.$colorPaletteGray500;
        }
    }

    &__line {
        display: flex;
        flex-direction: row;
        align-items: center;

        input {
            margin: 0 theme.$spacing05 0 theme.$spacing03;
        }
    }

    &__errors {
        margin-top: theme.$spacing03;

        ul {
            list-style: none;
            padding: theme.$spacing01 0 0 theme.$spacing03;
            margin: 0;
            color: theme.$colorError;
            font-weight: theme.$fontWeightBold;

            li {
                margin-top: theme.$spacing03;

                &::before {
                    content: url("../../../images/icons/exclamationmark.svg");
                    margin-right: theme.$spacing03;
                    margin-top: 4px;
                }
            }
        }
    }
}

label,
select {
    cursor: pointer;
}

input:disabled+label {
    cursor: default;
}

.form-wrapper {

    input[type=text],
    input[type=number],
    select {
        height: $inputHeight;
    }

    // Create outline on select 
    input[type=checkbox],
    input[type=number] {
        &:focus {
            outline: 2px dashed theme.$colorBrand;
        }
    }

    input[type=checkbox] {
        width: auto;
    }

    input[type=number] {
        max-width: 8rem;
    }

    select {
        background: url("../../../images/icons/arrow-down.svg") no-repeat;
        background-position: calc(100% - 0.75rem) center !important;
        -moz-appearance: none !important;
        -webkit-appearance: none !important;
        appearance: none !important;
        padding-right: 2rem !important;
    }

    textarea {
        max-width: 100%;
        min-height: 10rem;
    }


    input,
    select,
    textarea {
        background-color: rgb(255, 255, 255);
        border-radius: 0px;
        border: 1px solid theme.$colorPaletteGray500;
        color: theme.$colorText;
        font-family: "Source Sans Pro", sans-serif;
        font-size: 1rem;
        line-height: 150%;
        outline: none;
        padding: theme.$spacing04;
        width: 100%;

        &:focus {
            border: 2px solid theme.$colorPaletteGray700;
            padding: calc(theme.$spacing04 - 1px);
        }
    }



}
